#!/bin/bash

LIVE=$(cat /proc/cmdline | grep -q -w "boot=live" )
IS_LIVE=$(echo $?) ## 0 live
if [[ -f "/opt/nfs-installer-oobe/first_boot" ]] && [[ $IS_LIVE != 0 ]];then
    /opt/nfs-installer-oobe/usr/bin/nfs-installer-oobe
    if [ $? = 1 ];then
	exit 1
    fi
else
    exit 1
fi
/usr/bin/cp -f /opt/nfs-installer-oobe/usr/share/nfs-installer-oobe/cdos.session /usr/share/cdos-session/sessions/cdos.session
/usr/bin/cp -f /opt/nfs-installer-oobe/usr/share/nfs-installer-oobe/nemo-autostart.desktop /etc/xdg/autostart/nemo-autostart.desktop
/usr/bin/cp -f /opt/nfs-installer-oobe/usr/share/nfs-installer-oobe/lightdm.conf /etc/lightdm/lightdm.conf
/usr/bin/mv /etc/xdg/autostart/oobe.desktop /opt/nfs-installer-oobe/usr/share/nfs-installer-oobe

/usr/bin/rm -rf /var/lib/oobe || /usr/bin/rm -rf /tmpHome/oem
/usr/bin/mv /etc/xdg/autostart/calamares-desktop-icon.desktop /opt/nfs-installer-oobe/usr/share/nfs-installer-oobe
/usr/bin/mv /usr/share/applications/install-debian.desktop /opt/nfs-installer-oobe/usr/share/nfs-installer-oobe
/usr/bin/rm -f /etc/xdg/autostart/add-oem-install-desktop.desktop
/usr/bin/gpasswd -d oobe sudo || /usr/bin/gpasswd -d oem sudo
/usr/bin/sed -i '/^oobe:/ s/\/bin\/bash$/\/usr\/sbin\/nologin/g' /etc/passwd
/usr/bin/sed -i '/^oem:/ s/\/bin\/bash$/\/usr\/sbin\/nologin/g' /etc/passwd
/usr/sbin/userdel -rf oobe || /usr/sbin/userdel -rf oem
if [ -d /opt/nfs-installer-oobe/usr/share/nfs-installer-oobe/sudoers.d ];then
	rm -r /etc/sudoers.d
	mv /opt/nfs-installer-oobe/usr/share/nfs-installer-oobe/sudoers.d /etc
fi

if [ -f "/opt/nfs-installer-oobe/first_boot" ];then
    /usr/bin/rm -f /opt/nfs-installer-oobe/first_boot
fi
#rm -rf /home/oobe
#userdel oobe
loginName=`cat /opt/nfs-installer-oobe/usr/share/calamares/loginName`
#sed -i "s/#autologin-user=.*$/autologin-user=${loginName}/" /etc/lightdm/lightdm.conf
echo -e "[SeatDefaults]\nautologin-user=${loginName}" >> /etc/lightdm/lightdm.conf
# sed -i "/user = oobe/d" /etc/pam.d/lightdm

#删除QT缩放比环境变量
sed -i "/QT_/d" /etc/environment
#删除found-livecd-customization 解决联想熄屏问题
hasFoundLivecdCustomization=$(dpkg -l | grep found-livecd-customization )
if [ -n "$hasFoundLivecdCustomization" ];then
    dpkg -P found-livecd-customization
fi
/usr/bin/systemctl restart lightdm

